MooseX::Role::Parameterized::Meta::Trait::Parameterized(3)

NAME
MooseX::Role::Parameterized::Meta::Trait::Parameterized - trait for parameterized roles

DESCRIPTION
This is the trait for parameterized roles; that is, parameterizable roles with their parameters bound. All this actually provides is a place to store the MooseX::Role::Parameterized::Parameters object as well as the MooseX::Role::Parameterized::Meta::Role::Parameterizable object that generated this role object.

ATTRIBUTES

  genitor
Returns the MooseX::Role::Parameterized::Meta::Role::Parameterizable metaobject that generated this role.

  parameters
Returns the MooseX::Role::Parameterized::Parameters object that represents the specific parameter values for this parameterized role.